UHSOCTL(1)

NAME
uhsoctl - connection utility for Option based devices

SYNOPSIS
uhsoctl [-a apn] [-c cid] [-p pin] [-u username] [-k password] [-r path] [-f path] [-b | -n] interface
uhsoctl -d interface
uhsoctl -h

DESCRIPTION
uhsoctl is a small connection utility for Option N.V. devices that are based on Options packet interface and uses proprietary AT_* calls to establish connections. The utility (tries to) configure both default route and name servers (/etc/resolv.conf).

By default uhsoctl detaches from the terminal upon on a successful connection, a few command-line options exists that allows this behavior to be changed.

uhsoctl attempts to find a usable controlling serial port based on the provided network interface. If this fails you might specify a serial port manually.

OPTIONS

-a apn
    Specify APN to connect to.

-c cid
    Specify CID (Context ID) to use, by default CID 1 is used. If an APN has been configured once, it's enough to specify the CID used for further accesses.

-p pin
    Specify SIM PIN.

-u username
    Specify username.

-k password
    Specify username.

-r path
    Path to resolv.conf, default /etc/resolv.conf. Use /dev/null to disable updating of name servers.

-f path
    Explicitly set the serial port to use as controlling terminal. Might be needed if the automatic detection fails.

-b  Fork into background directly, before a connection has been established.

-n  Never fork into background, run entirely in foreground.

EXAMPLES
Connect to “apn.example.com” on interface “uhso0” and use PIN “1234” to enable the SIM card.
    uhsoctl -a apn.example.com -p 1234 uhso0

Disconnect from a previously established connection.
    uhsoctl -d uhso0

SEE ALSO
uhso(4)